ComponentFeature.Template (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.ComponentFeature.Template class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq
Class ComponentFeature.Template

    java.lang.Object
      org.biojava.bio.seq.Feature.Template
          org.biojava.bio.seq.StrandedFeature.Template
              org.biojava.bio.seq.ComponentFeature.Template

All Implemented Interfaces:
  Serializable, Cloneable

Enclosing interface:
  ComponentFeature

    public static class ComponentFeature.Template

extends StrandedFeature.Template

Template for constructing a new ComponentFeature.

In BioJava 1.2, we add the `componentSequenceName` property. In general, it is only necessary to specify either componentSequenceName or componentSequence

See Also:
  Serialized Form

Field Summary
`Location` | `componentLocation`
`Sequence` | `componentSequence`
`String` | `componentSequenceName`

Fields inherited from class org.biojava.bio.seq.StrandedFeature.Template
`strand`

Fields inherited from class org.biojava.bio.seq.Feature.Template
`annotation, location, source, sourceTerm, type, typeTerm`

Constructor Summary
`ComponentFeature.Template()`

Method Summary

Methods inherited from class org.biojava.bio.seq.Feature.Template
`clone, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### componentSequenceName

    public String componentSequenceName

### componentSequence

    public Sequence componentSequence

### componentLocation

    public Location componentLocation

Constructor Detail

### ComponentFeature.Template

    public ComponentFeature.Template()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD